[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONObject.Clone

Clone the JSON object

## Declaration

Source position: fpjson.pp line 688

`public function TJSONObject.Clone: TJSONData; override;`

## Function result

Cloned TJSONObject instance.

## Description

Clone creates a new TJSONObject, clones all elements in the array and adds them to the newly created array with the same names as they were in the array.

## See also

TJSONData.Clone |  | Duplicate the value of the JSON data